<?php
if(count(get_included_files())==1) exit("Direct access not permitted.");
$mod = basename(__FILE__, '.php');
$page->tbCss($mod);

$judulhalaman="INFORMASI";
$linkkategori="";

$idkonten=0;
if(isset($_GET['id'])){
	$idkonten=$_GET['id'];
}

$wh="";
$datapush=array($idkonten);
$kategori=0;
if(isset($_GET['kategori'])){
	$kategori=$_GET['kategori'];
	$wh.="and t1.idkategori=? ";
	array_push($datapush,$kategori);
	
	$datakategori=$db->getkategoriinformasi($kategori);
	if(isset($datakategori['nama'])) $judulhalaman=strtoupper($datakategori['nama']);
	
	$linkkategori.="?kategori=".$kategori;
}

$tanggal="";
$judul="";
$keterangan="";

$query="select t1.`id`,
		t1.`tanggal`,
		t1.`iduser`,
		t1.`idkategori`,
		t1.`judul`,
		t1.`konten`,
		t1.`status`,
		t1.`utama`,
		t1.`dibaca`,
		t1.`idgambar` ,
		t2.nama_baru,t2.folder
	from tb_konten as t1 
	inner join tb_dokumen as t2 on t1.idgambar=t2.id
	where t1.id=? ".$wh."and t1.status=1";
$rsinformasi=$db->loadAssoc($query,$datapush);

if(isset($rsinformasi['id'])){
	$haltgl=explode(" ", $db->halfdate($rsinformasi['tanggal']));
	$dd="";
	$mm="";
	$yy="";
	if(sizeof($haltgl)==3){
		$dd=$haltgl[0];
		$mm=$haltgl[1];
		$yy=$haltgl[2];
	}
	
	$arrtgl=explode(" ", $rsinformasi['tanggal']);
	$jam="";
	if(sizeof($arrtgl)==2){
		$jam=substr($arrtgl[1], 0,5);
	}
	
	$tanggal=$haltgl[0]." ".$haltgl[1]." ".$haltgl[2]." - ".$jam;
}
?>
<div class="box_detailinformasi">
	<a href="<?php echo NPAGE.'informasi'.$linkkategori;?>">
		<h2><?php echo $judulhalaman;?></h2>
	</a>
	<div class="mod_detailinformasi_judul"><?php echo strtoupper($rsinformasi['judul']);?></div>
	<div class="mod_detailinformasi_tanggal"><?php echo $haltgl[0]." ".$haltgl[1]." ".$haltgl[2]." - ".$jam;?></div>
	<div class="mod_detailinformasi_boximg">
		<img src="<?php echo NPAGE.$rsinformasi['folder'].$rsinformasi['nama_baru'];?>" />
	</div>
	
	<div class="mod_detailinformasi_keterangan">
		<?php 
		echo $rsinformasi['konten'];
		?>
	</div>
	<div style="clear: both;"></div>
</div>